      PARAMETER(Ndim1 = 160,Nl=1,Nr=Ndim1)
      PARAMETER(Nmaxp = 5300000)
      COMMON / CoordsA/ Xp(Nmaxp),Yp(Nmaxp),Zp(Nmaxp),
     &                                  Vxp(Nmaxp),
     &                                  Vyp(Nmaxp),
     &                                  Vzp(Nmaxp),
     &                                    Wp(Nmaxp),Np
      COMMON / CoordsB/ Xpb(Nmaxp),Ypb(Nmaxp),Zpb(Nmaxp),
     &                                  Vxpb(Nmaxp),
     &                                  Vypb(Nmaxp),
     &                                  Vzpb(Nmaxp)
      COMMON / Fields1/	Dens1(Ndim1,Ndim1,Nl:Nr),
     &                                  Vx1(Ndim1,Ndim1,Nl:Nr),     
     &                                  Vy1(Ndim1,Ndim1,Nl:Nr),
     &                                  Vz1(Ndim1,Ndim1,Nl:Nr)
      COMMON / Fields2/	Dens2(Ndim1,Ndim1,Nl:Nr),
     &                                  Vx2(Ndim1,Ndim1,Nl:Nr),     
     &                                  Vy2(Ndim1,Ndim1,Nl:Nr),
     &                                  Vz2(Ndim1,Ndim1,Nl:Nr)
      COMMON / Center / Xc,Yc,Zc,Rc



